#ifndef _SenseVidApplication_H_
#define _SenseVidApplication_H_

#include "VirtualApplication.h"
using namespace std;

enum sensevidTimers {
  READ_LINE = 1,
  SEND_PACKET = 2
};

class SenseVidApplication: public VirtualApplication {
 private:
   string reportDestination;
   bool isSink, isSource;
   string stFileName, rtFileName;
   double initTxTime;
   
   ifstream stFile; ofstream rtFile;
   string line;
   double sendTime1, sendTime2;
   int seqNb; int payloadSize;
   
   

 protected:
   void startup();
   void finishSpecific();
   void timerFiredCallback(int);
   void fromNetworkLayer(ApplicationPacket *, const char *, double, double);
   
};
#endif
